Skip to main content

Variable: GatewayConfigSchema

const GatewayConfigSchema: ZodObject<{
id: ZodString;
name: ZodString;
slug: ZodString;
organisation_id: ZodString;
is_default: ZodNumber;
status: ZodString;
owner_id: ZodString;
updated_by: ZodString;
created_at: ZodString;
last_updated_at: ZodString;
workspace_id: ZodString;
object: ZodString;
}, "passthrough", ZodTypeAny, objectOutputType<{
id: ZodString;
name: ZodString;
slug: ZodString;
organisation_id: ZodString;
is_default: ZodNumber;
status: ZodString;
owner_id: ZodString;
updated_by: ZodString;
created_at: ZodString;
last_updated_at: ZodString;
workspace_id: ZodString;
object: ZodString;
}, ZodTypeAny, "passthrough">, objectInputType<{
id: ZodString;
name: ZodString;
slug: ZodString;
organisation_id: ZodString;
is_default: ZodNumber;
status: ZodString;
owner_id: ZodString;
updated_by: ZodString;
created_at: ZodString;
last_updated_at: ZodString;
workspace_id: ZodString;
object: ZodString;
}, ZodTypeAny, "passthrough">>;

Defined in: src/models/ai-gateway.ts:526

A gateway config list row — 12 fields. The list read (GET /configs?workspace_id=) returns a strict subset of the detail read; it does NOT carry config, format, type, or version_id. See GatewayConfigDetailSchema for the detail shape, and GatewayDeploymentSchema/GatewayDeploymentDetailSchema for the same list-vs-detail split already established for deployments.